package cn.quant.baa.pay.model.web;

import java.io.Serializable;

/**
 * Created by Administrator on 2021/8/23 0023.
 */
public class MerchantAcquirerProperties implements Serializable {
    private static final long serialVersionUID = 1777009242558105988L;
    private Long chanId;
    private String chanCode;
    private String chanType;
    private String name;
    private String accessCode;
    private String accessType;
    private String version;
    private String descText;

    public Long getChanId() {
        return chanId;
    }

    public void setChanId(Long chanId) {
        this.chanId = chanId;
    }

    public String getChanCode() {
        return chanCode;
    }

    public void setChanCode(String chanCode) {
        this.chanCode = chanCode;
    }

    public String getChanType() {
        return chanType;
    }

    public void setChanType(String chanType) {
        this.chanType = chanType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAccessCode() {
        return accessCode;
    }

    public void setAccessCode(String accessCode) {
        this.accessCode = accessCode;
    }

    public String getAccessType() {
        return accessType;
    }

    public void setAccessType(String accessType) {
        this.accessType = accessType;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getDescText() {
        return descText;
    }

    public void setDescText(String descText) {
        this.descText = descText;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("MerchantAcquirerProperties{");
        sb.append("chanId=").append(chanId);
        sb.append(", chanCode='").append(chanCode).append('\'');
        sb.append(", chanType='").append(chanType).append('\'');
        sb.append(", name='").append(name).append('\'');
        sb.append(", accessCode='").append(accessCode).append('\'');
        sb.append(", accessType='").append(accessType).append('\'');
        sb.append(", version='").append(version).append('\'');
        sb.append(", descText='").append(descText).append('\'');
        sb.append('}');
        return sb.toString();
    }
}
